#
# spec file for package python-sphinxcontrib
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sphinxcontrib
Version:        1.0.1
Release:        lp150.2.6
Summary:        Namespace for sphinxcontrib packages
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://sphinx-doc.org/
Source:         https://files.pythonhosted.org/packages/source/s/sphinxcontrib-websupport/sphinxcontrib-websupport-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
This package provides the namespace that all sphinxcontrib packages
make use of. It shouldn't be installed directly, packages that
need it will pull it in automatically.

%prep
%setup -q -n sphinxcontrib-websupport-%{version}

%build
# Not used

%install
%{python_expand install -D -m 644 sphinxcontrib/__init__.py %{buildroot}%{$python_sitelib}/sphinxcontrib/__init__.py
$python -m compileall -d %{$python_sitelib} %{buildroot}%{$python_sitelib}/sphinxcontrib/
$python -O -m compileall -d %{$python_sitelib} %{buildroot}%{$python_sitelib}/sphinxcontrib/
%fdupes %{buildroot}%{$python_sitelib}
}

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES LICENSE README.rst
%dir %{python_sitelib}/sphinxcontrib/
%{python_sitelib}/sphinxcontrib/__init__.py*
%pycache_only %dir %{python_sitelib}/sphinxcontrib/__pycache__/
%pycache_only %{python_sitelib}/sphinxcontrib/__pycache__/__init__*.py*

%changelog
* Mon Sep 18 2017 toddrme2178@gmail.com
- Created base namespace package based on sphinxcontrib-websupport
  sphinxcontrib-websupport is used since Sphinx depends on it, so
  all other sphinxcontrib packages depend on it indirectly.
  This avoids dependency loops between sphinxcontrib-websupport
  and Sphinx.
